Bug 446930 - kickstart encrypted filesystem prompt for passphrase doesn't work
kickstart encrypted filesystem prompt for passphrase doesn't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 13:13 EDT by Chris Schanzle
Modified: 2009-02-16 15:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 15:32:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2008-05-16 13:13:37 EDT
Kickstart will not prompt for a passphrase when the actual passphrase is omitted
as documented in kickstart-docs.txt. I'm using options "--encrypted
--passphrase=".  Result is unencrypted devices.  Happens with both "text" and
graphical installs.  Actually giving a password using --passphrase=password
works, but is insecure to embed in the kickstart file.

100% reproducible.

I'm hopeful an anaconda patch to load during kickstart will appear so we don't
have to wait for F10.
Comment 1 Philip Mather 2008-06-04 07:45:39 EDT
Bump, vote or whatever.
   I really need this or even better to be able to specify a location to write a
key to such as "--key-file=/dev/sdc1/disk.key" would be unbelievably handy. I
can then prompt the user either post-install or at first-boot to set a
pass-phrase as an alternative or then and a company wide recovery key somehow.
Comment 2 David Lehman 2008-08-14 15:51:53 EDT
Fix will be in anaconda-11.4.1.29-1 (rawhide).

Note You need to log in before you can comment on or make changes to this bug.